Subject: bug#77039: 31.0.50; Flickering on macOS

From: Gerd Möllmann <[email-masked]>
Date: Sun, 16 Mar 2025 20:35:50 +0100

Aaron Jensen <[email-masked]> writes:

>  Actually, while I don't fully understand the code, it seems suspect
>  to me that there is a global `space_glyph` glyph struct that gets
>  initialized with a NULL frame but the frame is mutated over time. I
>  wonder if my not removing the frame check inside of
>  CHAR_GLYPH_SPACE_P is why I saw the cursor flicker once.
>
> I was mistaken here, I believe. It's not mutated over time — I'm just
> rusty on C and I misread some code.

And the redisplay code is pretty complicated, I must admit. Much of
which is due to the slowness of mid-90s computers and pressing something
with acceptable performance out of that 🤷.